# -*- encoding: utf-8 -*-
# stub: sensu-plugins-jenkins 2.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-jenkins".freeze
  s.version = "2.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2018-11-01"
  s.description = "This plugin provides native Jenkins instrumentation\n                              for monitoring and metrics collection, including:\n                              health, job status, metrics via `JQS`, and others".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["metrics-jenkins.rb".freeze, "check-jenkins.rb".freeze, "metrics-jenkins-jqs.rb".freeze, "check-jenkins-health.rb".freeze, "check-jenkins-job-status.rb".freeze, "check-jenkins-build-time.rb".freeze]
  s.files = ["bin/check-jenkins-build-time.rb".freeze, "bin/check-jenkins-health.rb".freeze, "bin/check-jenkins-job-status.rb".freeze, "bin/check-jenkins.rb".freeze, "bin/metrics-jenkins-jqs.rb".freeze, "bin/metrics-jenkins.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-jenkins".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for jenkins".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 2.5"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["= 2.0.2"])
    s.add_runtime_dependency(%q<jenkins_api_client>.freeze, ["= 1.4.2"])
    s.add_runtime_dependency(%q<chronic_duration>.freeze, ["= 0.10.6"])
    s.add_runtime_dependency(%q<rb-readline>.freeze, [">= 0.5.5", "<= 1.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 2.5"])
    s.add_dependency(%q<rest-client>.freeze, ["= 2.0.2"])
    s.add_dependency(%q<jenkins_api_client>.freeze, ["= 1.4.2"])
    s.add_dependency(%q<chronic_duration>.freeze, ["= 0.10.6"])
    s.add_dependency(%q<rb-readline>.freeze, [">= 0.5.5", "<= 1.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
  end
end
